Subject: Re: [bug#44900] [PATCH] services: unattended-upgrade: Add 'search-paths' field.

From: Lars-Dominik Braun <[email-masked]>
Date: Mon, 30 Nov 2020 09:18:42 +0100

Hi Ludo,

> Did you see (info "(guix) Unattended Upgrades"):
>   1. Use the trick above and add (say):
> 
>        (add-to-load-path (dirname (current-filename)))
> 
>      in your config file.  Not pretty.
yes, saw it, but I wasn’t sure how to load modules from that directory. And I
agree, it’s not pretty, but probably better than option 3, because everything
is in the store.

>   2. Turn your modules into a channel.  Nice because there’s no need for
>      a special case, modules are automatically updated at each upgrade,
>      etc., but OTOH requires more paperwork.
I feel this might be the best option and I’ll give it a try.

> I prefer being explicit here and keep ‘unattended-upgrade-configuration’
> self-contained (/etc/guix/channels.scm could be modified behind our
> back).
Okay, I can see that, but I’d like to use the same list of channels in that
service and channels.scm. Since creating an etc-service for
/etc/guix/channels.scm does not work, I was left with the other option, i.e.
using that file for unattended upgrades. Are there any other options?

Cheers,
Lars

-- 
Lars-Dominik Braun
Wissenschaftlicher Mitarbeiter/Research Associate

www.leibniz-psychology.org
ZPID - Leibniz-Institut für Psychologie /
ZPID - Leibniz Institute for Psychology
Universitätsring 15
D-54296 Trier - Germany
Tel.: +49–651–201-4964